compact2, compact3
java.rmi.registry

## Interface RegistryHandler

- Deprecated.
  no replacement

      @Deprecated
      public interface RegistryHandler

  `RegistryHandler` is an interface used internally by the RMI runtime in previous implementation versions. It should never be accessed by application code.
  Since:
    JDK1.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Registry` | `registryImpl(int port)` | Deprecated. no replacement. As of the Java 2 platform v1.2, RMI no longer uses the `RegistryHandler` to obtain the registry's implementation.
    `Registry` | `registryStub(String host, int port)` | Deprecated. no replacement. As of the Java 2 platform v1.2, RMI no longer uses the `RegistryHandler` to obtain the registry's stub.

- - ### Method Detail

    - #### registryStub

          @Deprecated
          Registry registryStub(String host,
                                            int port)
                                     throws RemoteException,
                                            UnknownHostException

      Deprecated. no replacement. As of the Java 2 platform v1.2, RMI no longer uses the `RegistryHandler` to obtain the registry's stub.
      Returns a "stub" for contacting a remote registry on the specified host and port.
      Parameters:
        `host` - name of remote registry host
        `port` - remote registry port
      Returns:
        remote registry stub
      Throws:
        `RemoteException` - if a remote error occurs
        `UnknownHostException` - if unable to resolve given hostname

    - #### registryImpl

          @Deprecated
          Registry registryImpl(int port)
                                     throws RemoteException

      Deprecated. no replacement. As of the Java 2 platform v1.2, RMI no longer uses the `RegistryHandler` to obtain the registry's implementation.
      Constructs and exports a Registry on the specified port. The port must be non-zero.
      Parameters:
        `port` - port to export registry on
      Returns:
        registry stub
      Throws:
        `RemoteException` - if a remote error occurs

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.